# TODO: convert to alaw,ulaw,slinear,speex

# NOTE: this packages not requires Asterisk, because:
#  - asterisk requires asterisk-sounds
#  - subpackages requires asterisk codecs, that requires Asterisk
%define sound_dir	%_datadir/asterisk/sounds/

Name: asterisk-sounds-en
Summary: sounds for Asterisk
Version: 1.4.6
Release: alt1
License: GPL
Group: System/Servers

Obsoletes: asterisk-sounds
Conflicts: asterisk-sounds 

Requires(pre): asterisk-base

BuildArch: noarch

Packager: Denis Smirnov <mithraen@altlinux.ru>

Source1: pbx-gsm-to-all
Source10: asterisk-core-sounds-en-ulaw-%version.tar
Source11: asterisk-core-sounds-en-gsm-%version.tar
Source12: asterisk-core-sounds-en-g729-%version.tar
Source13: asterisk-core-sounds-en-alaw-%version.tar
Source14: asterisk-core-sounds-en-wav-%version.tar
Source15: asterisk-core-sounds-en-g722-%version.tar

%description
Sounds for Asterisk PBX

%prep
%setup -c -T

%build
%install
mkdir -p %buildroot%sound_dir/en
pushd %buildroot%sound_dir/en
tar xf %SOURCE10
tar xf %SOURCE11
tar xf %SOURCE12
tar xf %SOURCE13
tar xf %SOURCE14
tar xf %SOURCE15

#find %buildroot%sound_dir -type f -name '*.gsm' -print0 \
#	 | xargs -0r -n1 %SOURCE1

%files
%sound_dir

%changelog
* Sun Apr 29 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.6-alt1
- update to 1.4.6

* Wed Jan 10 2007 Denis Smirnov <mithraen@altlinux.ru> 1.4.5-alt1
- update to 1.4.5

* Fri Dec 15 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.4-alt1
- add silence files (silence/*)
- rebuild G.722 recordings

* Fri Oct 27 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.3-alt1
- add sounds for G.722
- add sounds for FollowMe application

* Wed Aug 23 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.1-alt4
- add requires to asterisk-base

* Fri Aug 11 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.1-alt3
- fix requires

* Fri Aug 11 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.1-alt2
- remove asterisk requires

* Mon Jul 24 2006 Denis Smirnov <mithraen@altlinux.ru> 1.4.1-alt1
- This package obsoletes old asterisk-sounds

